[@rxap/material-table-system](../wiki/globals) / TableActionMethod

# Function: TableActionMethod()

## Call Signature

> **TableActionMethod**\<`Data`\>(`options`): `ClassDecorator`

Defined in: [packages/angular/material/table-system/src/lib/table-row-actions/decorators.ts:55](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-actions/decorators.ts#L55)

### Type Parameters

• **Data** = `any`

### Parameters

#### options

[`TableActionMethodOptions`](../wiki/Interface.TableActionMethodOptions)

### Returns

`ClassDecorator`

## Call Signature

> **TableActionMethod**\<`Data`\>(`type`, `checkFunction`?): `ClassDecorator`

Defined in: [packages/angular/material/table-system/src/lib/table-row-actions/decorators.ts:56](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-actions/decorators.ts#L56)

### Type Parameters

• **Data** = `any`

### Parameters

#### type

`string`

#### checkFunction?

[`RowActionCheckFunction`](../wiki/TypeAlias.RowActionCheckFunction)\<`Data`\>

### Returns

`ClassDecorator`
